function var3d=d02_wavenum0(affix);
% var3d=d02_wavenum0(affix);
%   reads in a series of affix*.bin, 
%   at a x-axis resolution of 10 km, and returns a 3-D output.
%
%------
% input
%------
%   affix - binary file name, e.g. vtaxis - tangential velocity averaged
%   over the footprint.
%        
% === affix:
% grwind.bin;   hgtaxis.bin;  inaxis.bin;   radius.bin;  rhaxis.bin;  
% spfhaxis.bin; tanwind.bin;  thydro.bin;   tmpaxis.bin; ugrd10m.bin;   
% vgrd10m.bin;  vraxis.bin;   vrgrd10m.bin; vrgrd.bin;   vtaxis.bin;    
% vtgrd10m.bin; vtgrd.bin;    vvaxis.bin;   wind_po.bin; wsaxis.bin    
%
%--------
% history
%--------
% Edited by Hyun-Sook Kim @3/21/2014
%==========================================================================

plev=fliplr([50 70 75 100:25:1000]);
dmt=10; % interval in [km]

% afix='vtaxis';
var3d=[];
for K=1:20
R=(K-1)*6;
bfile=[affix,num2str(R),'.bin'];
fid=fopen(bfile,'r');
dat=fread(fid,'float'); fclose(fid);

dtmp=reshape(dat,length(dat)/length(plev),length(plev))';
var3d(K,:,:)=dtmp;
clear dat dtmp fid bfile

end

