function day=HYCOMdate2Normal(t)
%HYCOMdate2Normal: converts HYCOM model days to YYYYMMDDHH
%     
%   day=DateHYCOMtoNormal(t) returns day in YYYYMMDDHH  (class character).
%   t is vector of HYCOM model days (calendar days since 01/01/1901) (class double).
%
%   FUNCTIONS USED: forday, day2dayinmonth
%   
%   EXAMPLE:   day=DateHYCOMtoNormal(37432.5) gives day='2003062612'
%

eps=0.00;
lt=length(t);
for k=1:lt
    [y,d,h]=forday(t(k)-eps,3);
    dd=[31 28 31 30 31 30 31 31 30 31 30 31];
    if mod(y,4)==0, dd(2)=29;end
    dd=cumsum(dd);
    jj=find(dd-d>=0);
    m=jj(1);
    d1=day2dayinmonth(t(k));
    cy=num2str(y);
    if m>=10 ; cm=num2str(m) ; else cm=['0' num2str(m)] ;end
    if d1>=10 ; cd=num2str(d1) ; else cd=['0' num2str(d1)] ;end
    if h>=10 ; ch=num2str(h) ; else ch=['0' num2str(h)] ;end
    if lt>1,day{k}=[cy cm cd ch]; else day=[cy cm cd ch] ; end
end