function day=HYCOMday2Normal(t)
%HYCOMday2Normal: converts HYCOM model days to YYYYMMDDHH
%     
%   day=DateHYCOMtoNormal(t) returns day in YYYYMMDDHH  (class character).
%   t is vector of HYCOM model days (calendar days since 01/01/1901) (class double).
%
%   FUNCTIONS USED: forday, day2dayinmonth
%   
%   EXAMPLE:   day=HYCOMday2Normal(37432.5) gives day='2003062612'
%

dd=[31 28 31 30 31 30 31 31 30 31 30 31];

eps=0.00;
[y,d,h]=forday(t-eps,3);

gtime=greg2(d-1+h/24,y);
dn=datenum(gtime);

day=datestr(dn,'HH:MM yyyy/mm/dd');

