function Zs=layth2depth(gfile);
% laty2depth.m
%       reads in a set of layer thickness from a grib file ("gfile") and  
%       converts to depths (m).
%
%------
% input
%------
%       gfile - grib filename
%
%-------
% output
%-------
%       Zs - depths in an original dimension
%
%--------
% history
%--------
%   3/25/2009 Edited by Hyun-Sook Kim
%--------------------------------------------------------------------------


%--- layer depths
    ztmp=getgrib(gfile,'LAYTH');
    zdat=ztmp.data;                     % [481 x 361 x layers]
    ztmp=getgrib(gfile,'SSHG');
    ssh=ztmp.data;
    clear ztmp
    
    zout=[];
    for k=1:size(zdat,3)
        zz=squeeze(zdat(:,:,k));
        zs=zz(:);
        zout=[zout zs];             % [173641 x nlayers]
        clear zz zs
    end

    ssh=ssh(:);
    hsk=zout;
    hsk(:,1)=ssh;
    hsk(:,2:end)=zout(:,1:end-1);
    Zs=cumsum(hsk,2) + zout/2;            % actual depths by adding thickness each layer

    Zs=reshape(Zs,size(zdat));
    
    clear hsk ssh zout zdat
    