function [xs,ys,sst]=mwsst2hycom(mwname,varargin);
% [xs,ys,sst]=mwsst2hycom(mwname,varargin);
%       returns OI TMI_AMSRE SST for an area of interest (xs,ys).
%
%-------
% inputs:
%--------
%       if # of varargin is 1
%           expected is "domain", e.g. hat11, hat14, etc
%        else
%           expected is two inputs: one for [lonmin lonmax]; the other
%           [latmin latmax]
%       end
%
%---------
% history:
%---------
%   Edited by Hyun-Sook Kim. 3/13/2013.
%--------------------------------------------------------------------------

if nargin>=3
    rln=varargin{1};    % [min max] for longitude
    rlt=varargin{2};    % [min max] for latitude
else
    domain=varargin{1};
    [lns,lts]=domain4hyhwrfv2(varargin{1});
    rln=[min(lns(:)) max(lns(:))];
    rlt=[min(lts(:)) max(lts(:))];
    clear lns lts
end

%fname='Z:\MWRadar\TMInAMSRE\Data\tmi_amsre.fusion.2012.241.rt';
% grid information for TMI+AMSRE OI SST:
xmax=1440; ymax=720;
dx=360./xmax; dy=180./ymax;
xtmp=dx*[1:1:xmax]-dx/2;
ytmp=dy*[1:1:ymax]-(90+dy/2);

stmp=read_rss_oisst(mwname);
stmp=stmp';
% In this sample program the mask values are used to set data in the SST and Error arrays to:
%      252 = sea ice
%      254 = missing data, near land
%      255 = land mass
ix=find(xtmp>=rln(1) & xtmp<=rln(2));
iy=find(ytmp>=rlt(1) & ytmp<=rlt(2));

sst=stmp(iy,ix);
xs=xtmp(ix);
ys=ytmp(iy);

clear stmp xtmp ytmp xmax ymax xc yc dx dy
return
