function Zatm=Pzkm(P,Po);
% function Zatm=altitude(P,Po) returns an altitude (km) for a given
% pressure (P) with respect to the mean sea level (Po).
%
%   ---------
%   equation: P=Po*exp(-h/H),
%       where H is the scale height, ~7.4km;
%             Po is 1 bar (=1000 mb).
%   ==> h=(-1)*H*log(P/Po).
%
%-------
% INPUT:
%-------
%   P,Po = pressure (bar).
%
%---------
% HISTORY:
%---------
%  9/11/2014 Edited by Hyun.Sook.Kim@noaa.gov.
%--------------------------------------------------------------------------

H=7.4;  % [km]
if nargin ==1
    Po=1;
end
Zatm=(-1)*H*log(P./Po);
