% C_HBPL.m
%   
%====================
for ncyc=48:24:72
    
eta=300;        % Storm size (km)
isave=1;

tsample=6;                  % sampling

%-------------------------------------------  Run information -------------
fcst4t='HWRF-HYCOM';               % forecast ID for title
fcst='H4Y2';               % model system ID
domain='al';              % hurricane domain
year=2014;                  % year for interest of hurricane
mm=06;
dd=29;
hr=00;
Hname='Arthur01l';             % Hurricane name

dn0=datenum(year,mm,dd)+hr/24;
yearmmddhh=datestr(dn0,'yyyymmddHH');
dnc=dn0+ncyc/24;
nds=datestr(dnc,'ddHH');

cyc=['cyc',num2str(ncyc,'%03d'),'-',nds];      % e.g., cyc102-2918

ddir=['Z:\',fcst,'\',Hname,'\',yearmmddhh,'\',cyc,'\atmos\'];

if ncyc<=6
    f4trk='one01l';
else
    f4trk='arthur01l';
end

prefix=['HPBL_m'];

crange=[0:0.1:2];
nc=length(crange)-1;
%--- assembling data
Cs=load('coasts.mat');     % coastline

for K=1:20
    R=K*6;
    dni=dnc+R/24;
    
    datestr(dni)
           
        nfile=[ddir,prefix,num2str(R,'%03g.nc')];

        pn=ncread(nfile,'HPBL_surface')/1000;   % km
        ln=ncread(nfile,'longitude')-360;
        lt=ncread(nfile,'latitude');
        
        pn=pn';
        
        npn=pn(200-100:200+100,250-100:250+100);
       
        nmx=['max=',num2str(nanmax(npn(:)),'%3.2f'),' km'];
        
        figure('position',[100   428   560   420]);
        axes('position',[0.09 0.1 0.82 0.80]);
        contourf(ln,lt,pn,crange); caxis([crange(1) crange(end)]); hold on;
        hc=colorbar; colormap(jet(nc)); 
        hp=get(hc,'position'); hp(1)=0.92+0.001; hp(3)=0.02;
        set(hc,'ytick',crange(1:2:end),'position',hp);
        plot(Cs.coastlines(1,:),Cs.coastlines(2,:),'w','linewidth',1.5); grid; 
        set(gca,'tickdir','out','fontsize',12,'xtick',[floor(min(ln(:))):2:ceil(max(ln(:)))]);
        text(0.72,0.87,nmx,'fontsize',14,'color','m','units','normalized','fontweight','bold');
        ttl{1}=['PBL height (km), valid ',datestr(dni,'yyyy/mm/dd HH:00UTC')];
        ttl{2}=[' (IC=',datestr(dnc,'yyyy/mm/dd HH00UTC)')];
        title(ttl,'fontsize',12);
        eval(['print -dpng ',ddir,'HPBL_m',num2str(R,'%02g')]);
        pause(1)
        close all
end

end
