function [out] = lat_lon_dist(lon_in,lat_in,dist,brng);
%Given lat and lon of starting point and bearing (0 degree north),
%calculate ending (destination) point lat and lon
% Jili Dong 2014/09/10

pi=3.1415926;
R=6371;  % earth radius in km

brng_rad=brng./180.*pi;
lat_in=lat_in./180.*pi;
lon_in=lon_in./180.*pi;
dR=dist./R;

out1=asin(sin(lat_in).*cos(dR) + cos(lat_in).*sin(dR).*cos(brng_rad));  % destination latitude
out2=lon_in + atan2(sin(brng_rad).*sin(dR).*cos(lat_in), cos(dR)-sin(lat_in).*sin(out1));  %destination longitude

out=[out1 out2];
out=out./pi.*180;



    
   