clear all; close all; 
res=3;   %model resolution in km
srch_wid=75;   %search box (to determine circulation center each level) half width in km
radius=420;  % plotting radius in km
pi=3.1415926;
dni=datenum([2014,8,24])+72/24;  %specify forecast hours

cputime1=cputime;
adir='/export/emc-lw-jdong/jdong/hycom_plot/HyHWRF-2014-data/';
atcf_file='/export/emc-lw-jdong/jdong/hycom_plot/track_plot/CPL/four04l/atcf/four04l.2014082400.trak.hwrf.atcfunix';
tfile=caseread(atcf_file);
 hhr=str2num(tfile(:,31:33));      %
        % find index for unique components
        [B,ix,iy]=unique(hhr,'rows');
        tfile=tfile(ix,:);
        hhr=hhr(ix);
        hx=-1*str2num(tfile(:,42:45))/10;
        hy=str2num(tfile(:,36:38))/10; 
        hdn=datenum(tfile(:,9:18),'yyyymmddHH')+hhr/24;
        vmax=str2num(tfile(:,49:51));
        hmin=str2num(tfile(:,53:57));
atcf=[hdn(:) hx(:) hy(:) hmin(:) vmax(:)];
Cs=load('coastline');
gtmp=[adir,'four04l.2014082400.hwrfprs_n.grb2f72'];
nc=ncdataset(gtmp);

%datestr(atcf(:,1))
lon=nc.data('lon');
lat=nc.data('lat');
u10m=squeeze(squeeze(nc.data('u-component_of_wind_height_above_ground')));
v10m=squeeze(squeeze(nc.data('v-component_of_wind_height_above_ground')));

[x,y] = meshgrid(lon,lat);
aa=find(atcf(:,1)==dni);

cen_x=atcf(aa,2);
cen_y=atcf(aa,3);  %atcf center

ugrd=nc.data('u-component_of_wind_isobaric');
ugrd=squeeze(ugrd);

vgrd=nc.data('v-component_of_wind_isobaric');
vgrd=squeeze(vgrd);

prs_level=nc.data('isobaric');

vmax=atcf(aa,5)*0.5144;    %get vmax m/s
if (vmax>20)    % for weak storm only plot up to 500 hPa; otherwise 300 hPa 
    pres_top=30000;
else
    pres_top=50000;
end

 ut_za=nan(find(prs_level==pres_top)+1,radius/3+1); % declare radius-azimuth ut and ur array
 ur_za=nan(find(prs_level==pres_top)+1,radius/3+1);


% from 850hPa to pres_top; then from surface (10m) to 850 hPa 
for i_prs=[find(prs_level==85000):find(prs_level==pres_top), 0:find(prs_level==85000)-1]

     i_prs
    if (i_prs==0)
        ugrd_2d=u10m;
        vgrd_2d=v10m;
    else
        ugrd_2d=ugrd(i_prs,:,:);
        ugrd_2d=squeeze(ugrd_2d);
        vgrd_2d=vgrd(i_prs,:,:);
        vgrd_2d=squeeze(vgrd_2d);
    end
    


cen_x_grd=near(lon,cen_x); % get the nearest grid point to ATCF center
cen_y_grd=near(lat,cen_y);

% search min wind in a 150km by 150km box for circulation center
istart=cen_x_grd-srch_wid/res;
iend=cen_x_grd+srch_wid/res;
jstart=cen_y_grd-srch_wid/res;
jend=cen_y_grd+srch_wid/res;

spd_box=sqrt(ugrd_2d(jstart:jend,istart:iend).^2+vgrd_2d(jstart:jend,istart:iend).^2);

spdmin=nanmin(spd_box(:));
[ceny_new,cenx_new]=find(spd_box==nanmin(spd_box(:)));
cenx_ind=cen_x_grd+(cenx_new-srch_wid/res-1);
ceny_ind=cen_y_grd+(ceny_new-srch_wid/res-1);
cenx_new=lon(cenx_ind);
ceny_new=lat(ceny_ind);
cenx_new=double(cenx_new);
ceny_new=double(ceny_new);

% for levels lower than 850 hPa, use center at 850hPa  
if (i_prs==find(prs_level==85000))
    cenx_850 = cenx_new;
    ceny_850 = ceny_new;
end

if (i_prs<find(prs_level==85000))
    cenx_new = cenx_850;
    ceny_new = ceny_850;
    spd_min=sqrt(ugrd_2d(ceny_ind,cenx_ind).^2+vgrd_2d(ceny_ind,cenx_ind).^2);
end


% define polar coordinate 
for i=1:360  % bearing loop
    % bearing is from north clockwise
    brng=i*1;
    
    for j=1:radius/res  % distance loop
        dest=lat_lon_dist(cenx_new,ceny_new,j*res,brng); % destination lat and lon
        
dest_lat(i,j)=dest(1);
dest_lon(i,j)=dest(2);
        
    end
end

ugrd_2d_polar=interp2(x,y,ugrd_2d , dest_lon, dest_lat);  % interpolate to polar
vgrd_2d_polar=interp2(x,y,vgrd_2d , dest_lon, dest_lat);  % interpolate to polar

% get tangential wind ut and radial wind ur
ut=nan(360,radius/3);
ur=nan(360,radius/3);
for i=1:360  % bearing loop
    % bearing is from north clockwise
    brng=i*1;

      ut(i,:)=-ugrd_2d_polar(i,:)*cos(brng/180*pi)+vgrd_2d_polar(i,:)*sin(brng/180*pi);
      ur(i,:)=ugrd_2d_polar(i,:)*sin(brng/180*pi)+vgrd_2d_polar(i,:)*cos(brng/180*pi);
  
end

     for j=2:radius/3+1  % distance loop
         
     ut_az(i_prs+1,j)=sum(ut(:,j-1))/360;
     ur_az(i_prs+1,j)=sum(ur(:,j-1))/360;
     end 
     ut_az(i_prs+1,1)=spdmin;
     ur_az(i_prs+1,1)=spdmin;
     
end
% x=double(x);
% y=double(y);
% ut_back=griddata(dest_lon,dest_lat,ut,x,y);
% ur_back=griddata(dest_lon,dest_lat,ur,x,y);
% figure(1)
% contourf(lon,lat,(ugrd_2d.^2+vgrd_2d.^2).^0.5); colorbar
% hold on;
% plot(atcf(aa,2),atcf(aa,3),'*k')
% hold on;
% 
% figure(2)

%contourf(lon,lat,(ut_back)); colorbar



h=figure;

% contourf(lon,lat,(ugrd_2d.^2+vgrd_2d.^2).^0.5,'LevelStep',1); colorbar

hold on
%quiver(lon(1:7:end),lat(1:7:end),ugrd_2d(1:7:end,1:7:end),vgrd_2d(1:7:end,1:7:end),3,'m')

% plot(cenx_new,ceny_new,'*w','markersize',15)
% hold on
% plot(cen_x,cen_y,'+w','markersize',15)
% hold on

output_figure=strcat('/export/emc-lw-jdong/jdong/matlab_900_fig');
print(h,'-dpng',output_figure);
saveas(h,output_figure,'png');

cputime2=cputime;
(cputime2-cputime1)

